<div class="row my-4">
    <div class="col-md-6">
        <h3>List of Movies</h3>
    </div>
    <div class="col-md-6 text-right">
        <button (click)="showForm = !showForm" class="btn btn-dark btn-sm">
            <i class="fa fa-plus"></i> New Movies
        </button>
    </div>
</div>

<div class="row my-4" *ngIf='showForm'>
    <div class="col-md-6 mx-auto">

        <div class="form-group">
            <div class="row my-2">
                <div class="col">
                    <input placeholder="tconst" [(ngModel)]="myMovie.tconst" id="tconst" type="text" class="form-control  my-2">
                </div>
                <div class="col">
                    <input placeholder="titleType" [(ngModel)]="myMovie.titleType" id="titleType" type="text" class=" my-2 form-control">
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <input placeholder="primaryTitle" [(ngModel)]="myMovie.primaryTitle" id="originalTitle" type="text" class=" my-2 form-control">
                </div>
                <div class="col">
                    <input placeholder="originalTitle" [(ngModel)]="myMovie.originalTitle" id="originalTitle" type="text" class=" my-2 form-control">
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <input placeholder="isAdult" [(ngModel)]="myMovie.isAdult" id="isAdult" type="text" class=" my-2 form-control">
                </div>
                <div class="col">
                    <input placeholder="startYear" [(ngModel)]="myMovie.startYear" id="startYear" type="text" class=" my-2 form-control">
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <input placeholder="endYear" [(ngModel)]="myMovie.endYear" id="endYear" type="text" class=" my-2 form-control">
                </div>
                <div class="col">
                    <input placeholder="runtimeMinutes" [(ngModel)]="myMovie.runtimeMinutes" id="runtimeMinutes" type="text" class=" my-2 form-control">
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <input placeholder="genres" [(ngModel)]="myMovie.genres" id="genres" type="text" class=" my-2 form-control">
                </div>
            </div>
        </div>

        <button *ngIf='editForm' (click)='updateMovie()' class="btn btn-warning btn-block">
            <i class="fa fa-refresh"></i> Update
        </button>

        <button *ngIf='!editForm'  (click)='persistMovie()' class="btn btn-success btn-block">
            <i class="fa fa-send"></i> New Movie
        </button>
    </div>

</div>

<div class="row">
    <div class="col-md-6 mx-auto">
        <input (keyup)="searchMovies()" [(ngModel)]='searchText' placeholder="Search.." class="form-control my-2" type="text">
        
        <ul class="list-group ">
 
            <li *ngFor='let movie of resultMovies'  class="my-1 list-group-item d-flex justify-content-between align-items-center">
                <button (click)="editMovie(movie)" class="btn btn-warning btn-sm">
                    <i class="fa fa-pencil"></i>
                </button>
                {{ movie.primaryTitle}} - {{ movie.startYear}}
                <span class="badge badge-secondary badge-pill">
                    {{ movie.genres }} 
                </span>
                
                <button  (click)="deleteMovie(movie.id)" class="btn btn-dark btn-sm">
                    <i class="fa fa-trash"></i>
                </button>

            </li>
           
        </ul>    
          
    </div>

</div>